package kr.gmtc.gw.eyegw.db2;

import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

@Service
public class UicProcService {
    private UicProcMapper uICProcMapper;
    
    public UicProcService(UicProcMapper uICProcMapper){
        this.uICProcMapper = uICProcMapper;
    }
    
    public String callProcTest(String sParam1, String sParam2, String iParam3) {
    	
    	Map paramMap = new HashMap<String, Object>();
    	String sRetValue = null;
    	
    	paramMap.put("ar_param1", String.valueOf(sParam1));
    	paramMap.put("ar_param2", String.valueOf(sParam2));
    	paramMap.put("ar_param3", String.valueOf(iParam3));
    	
        uICProcMapper.callProcTest(paramMap);
        
        sRetValue = (String) paramMap.get("ret_value");
        
    	return sRetValue;
    }
    
    // public void callProcArtsArr() {
    	
    // 	uICProcMapper.callProcArtsArr();
    	
    // }
    
    // public void callProcArtsDep() {
    	
    // 	uICProcMapper.callProcArtsDep();
    	
    // }

    // public void callProcAcdmArr() {
	
	// 	uICProcMapper.callProcAcdmArr();
	
	// }
	
	// public void callProcAcdmDep() {
		
	// 	uICProcMapper.callProcAcdmDep();
		
	// }
	
	// public void callProcGam() {
		
	// 	uICProcMapper.callProcGam();
		
	// }
    
}
